import Ice

import sys, os

sys.path.append (os.path.join (os.curdir, 'slice2py-output'))
import Test1

class SessionImpl (Test1.Session) :
	def dummyFunction (self, current = None) :
		print ('Test1.Session:DummyFunction()')
		print (current.con.toString ())
	#
#

class AuthenticatorImpl (Test1.Authenticator) :
	def __init__ (self, adapter) :
		self._adapter = adapter
	#

	def login (self, current = None) :
		print ('Test1.Authenticator:login()')
		print (current.con.toString ())

		proxy = self._adapter.addWithUUID (SessionImpl ())
		return Test1.SessionPrx.uncheckedCast (proxy)
	#
#

initData = Ice.InitializationData ()
initData.properties = Ice.createProperties ()
initData.properties.setProperty ('Ice.Plugin.IcdWS', 'IceWS:createIceWS')
initData.properties.setProperty ('Adapter1.Endpoints', 'tcp -h localhost -p 10000:ws -h localhost -p 10001')
initData.properties.setProperty ('Ice.Trace.Network', '3')

ic = Ice.initialize (initData)
try :
	adapter1 = ic.createObjectAdapter ('Adapter1')
	adapter1.add (
		AuthenticatorImpl (adapter1),
		ic.stringToIdentity ('Authenticator')
	)
	adapter1.activate ()
	ic.waitForShutdown ()
finally :
	ic.destroy ()
#

